How to Authenticate the algoseek Datasets API
Learn how to authenticate your algoseek API requests with an API key and check your monthly usage quotas to manage your bandwidth.
The algoseek Datasets API uses API Keys to authenticate requests. Furthermore, access is governed by IP whitelisting, specific dataset access rules, and usage quotas.
How to Authenticate#
You must pass your API key in the header of every request using the X-API-KEY field.
Verifying Your Identity and Access#
The API provides several endpoints under the Identity & Access tag to help you manage your authorization status:
- Check Identity:
GET /api/v1/account/myreturns details about the identity owning the API key, including allowed IP subnets. - Check Quotas:
GET /api/v1/account/my/quotasreturns your API usage summary for the current month and minute against your limits.
Note
Quotas are applied across all API keys and identities in your team.
- Check Dataset Permissions:
GET /api/v1/account/my/data-access-ruleslists the specific datasets you are authorized to access, including th start date and list of identifiers.